curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/discount-codes \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/discount-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/discount-codes"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"discount_codes": [
{
"id": "8f3b9f6e-2e3a-4c7a-91c5-7f9b2a123456",
"code": "OFF10",
"value": 10,
"expires_at": "2026-06-30T23:59:59.000Z",
"kind": "fixed",
"currency": "USD",
"redeems_limit": 100,
"redeems_limit_by_email": 1,
"days_valid_after_first_use_per_client": 30,
"redeems_count": 12,
"meetings": [
{
"id": "3d4e5f6a-7b8c-4d9e-90f1-123456789abc",
"name": "Product Demo"
}
],
"packages": [
{
"id": "7c8d9e0f-1a2b-4c3d-8e4f-56789abcdef0",
"name": "Coaching Bundle"
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}List discount codes
List discount codes in the workspace.
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/discount-codes \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/discount-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/discount-codes"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"discount_codes": [
{
"id": "8f3b9f6e-2e3a-4c7a-91c5-7f9b2a123456",
"code": "OFF10",
"value": 10,
"expires_at": "2026-06-30T23:59:59.000Z",
"kind": "fixed",
"currency": "USD",
"redeems_limit": 100,
"redeems_limit_by_email": 1,
"days_valid_after_first_use_per_client": 30,
"redeems_count": 12,
"meetings": [
{
"id": "3d4e5f6a-7b8c-4d9e-90f1-123456789abc",
"name": "Product Demo"
}
],
"packages": [
{
"id": "7c8d9e0f-1a2b-4c3d-8e4f-56789abcdef0",
"name": "Coaching Bundle"
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
Unique identifier for the discount code.
"8f3b9f6e-2e3a-4c7a-91c5-7f9b2a123456"
The unique discount code.
"OFF10"
Value of the discount.
10
Expiration date and time of the discount code in ISO 8601 format.
"2026-06-30T23:59:59.000Z"
Type of the discount (fixed or percentage).
fixed, percentage ISO 4217 code of the workspace default currency a fixed amount is charged in. Null for a percentage discount, which is not an amount of money.
"USD"
Number of times the discount code can be redeemed.
100
Number of times the discount code can be redeemed per email.
1
Number of days the discount code is valid for a client after their first use. If null, the discount code can be used indefinitely.
30
Number of times this discount code has been redeemed.
12